diff -up mozilla/browser/base/jar.mn.firstrun mozilla/browser/base/jar.mn
--- mozilla/browser/base/jar.mn.firstrun	2008-06-15 12:39:28.000000000 -0700
+++ mozilla/browser/base/jar.mn	2008-06-15 12:39:34.000000000 -0700
@@ -21,9 +21,6 @@ browser.jar:
 *       content/browser/browser.js                    (content/browser.js)
 *       content/browser/browser.xul                   (content/browser.xul)
 *       content/browser/credits.xhtml                 (content/credits.xhtml)
-*       content/browser/EULA.js                       (content/EULA.js)
-*       content/browser/EULA.xhtml                    (content/EULA.xhtml)
-*       content/browser/EULA.xul                      (content/EULA.xul)
 *       content/browser/metaData.js                   (content/metaData.js)
 *       content/browser/metaData.xul                  (content/metaData.xul)
 *       content/browser/pageinfo/pageInfo.xul         (content/pageinfo/pageInfo.xul)
diff -up mozilla/browser/components/nsBrowserGlue.js.firstrun mozilla/browser/components/nsBrowserGlue.js
--- mozilla/browser/components/nsBrowserGlue.js.firstrun	2008-06-15 11:28:29.000000000 -0700
+++ mozilla/browser/components/nsBrowserGlue.js	2008-06-15 11:28:36.000000000 -0700
@@ -175,34 +175,6 @@ BrowserGlue.prototype = {
   // profile startup handler (contains profile initialization routines)
   _onProfileStartup: function() 
   {
-    // Check to see if the EULA must be shown on startup
-
-    // Global override for tinderbox machines
-    var prefBranch = Cc["@mozilla.org/preferences-service;1"].
-                     getService(Ci.nsIPrefBranch);
-    var mustDisplayEULA = true;
-    try {
-      mustDisplayEULA = !prefBranch.getBoolPref("browser.EULA.override");
-    } catch (e) {
-      // Pref might not exist
-    }
-
-    // Make sure it hasn't already been accepted
-    if (mustDisplayEULA) {
-      try {
-        var EULAVersion = prefBranch.getIntPref("browser.EULA.version");
-        mustDisplayEULA = !prefBranch.getBoolPref("browser.EULA." + EULAVersion + ".accepted");
-      } catch(ex) {
-      }
-    }
-
-    if (mustDisplayEULA) {
-      var ww2 = Cc["@mozilla.org/embedcomp/window-watcher;1"].
-                getService(Ci.nsIWindowWatcher);
-      ww2.openWindow(null, "chrome://browser/content/EULA.xul", 
-                     "_blank", "chrome,centerscreen,modal,resizable=yes", null);
-    }
-
     this.Sanitizer.onStartup();
     // check if we're in safe mode
     var app = Cc["@mozilla.org/xre/app-info;1"].getService(Ci.nsIXULAppInfo).
